#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	compton-conf
Version		:	0.15.0
Release		:	17.0.10.rel%{?dist}
Summary		:	compton-conf is a configuration tool for X composite manager
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://github.com/lxqt/compton-conf/releases


Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	libconfig
BuildRequires	:	lxqt-build-tools
BuildRequires	:	qt5-qtbase-devel
BuildRequires	:	qt5-qttools-devel
#-----------------------------------------------------------------------------
%description
Compton is a standalone compositor for Xorg, suitable for use with
window managers that do not provide compositing. Compton is a fork
of xcompmgr-dana, which in turn is a fork of xcompmgr. 

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build

cmake									\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}				\
	-DCMAKE_BUILD_TYPE=Release					\
	-DPULL_TRANSLATIONS=no						\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)

%doc AUTHORS COPYING README.md
%{_sysconfdir}/xdg/autostart/lxqt-compton.desktop
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/compton.conf.example
%{_datadir}/%{name}/translations/%{name}_*.qm

#-----------------------------------------------------------------------------
%pre 

#-----------------------------------------------------------------------------
#after upgrade or remove
%preun

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
